Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.renderer
Class RendererException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.tiles.TilesException
                      org.apache.tiles.renderer.RendererException

All Implemented Interfaces:
  java.io.Serializable

    public class RendererException

extends TilesException

Exception for attribute rendition events.

Since:
  2.1.0
Version:
  $Rev: 630422 $ $Date: 2008-02-23 12:20:20 +0100 (sab, 23 feb 2008) $
See Also:
  Serialized Form

Constructor Summary
`RendererException()` Constructor.
`RendererException(java.lang.Exception e)` Create a new `RendererException` wrapping an existing exception.
`RendererException(java.lang.String message)` Constructor.
`RendererException(java.lang.String message, java.lang.Exception e)` Create a new `RendererException` from an existing exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RendererException

    public RendererException()

  Constructor.

  Since:
    2.1.0

### RendererException

    public RendererException(java.lang.String message)

  Constructor.

  Parameters:
    `message` - The error or warning message.
  Since:
    2.1.0

### RendererException

    public RendererException(java.lang.Exception e)

  Create a new `RendererException` wrapping an existing exception.

  The existing exception will be embedded in the new one, and its message will become the default message for the TilesException.

  Parameters:
    `e` - The exception to be wrapped.
  Since:
    2.1.0

### RendererException

    public RendererException(java.lang.String message,
                             java.lang.Exception e)

  Create a new `RendererException` from an existing exception.

  The existing exception will be embedded in the new one, but the new exception will have its own message.

  Parameters:
    `message` - The detail message.
    `e` - The exception to be wrapped.
  Since:
    2.1.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.